## groff 1.18.1.1-11osso3

=== debian/changelog ===
groff (1.18.1.1-11osso3) unstable; urgency=low

  * Proper way of patching/unpatching

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Tue, 29 Jan 2008 12:55:54 +0200

groff (1.18.1.1-11osso2) unstable; urgency=low

  * Add the proposed patch to fix compilation issues with gcc-4.2
    (thanks to Leonid Moiseichuk) Fixes: NB#78573

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Tue, 29 Jan 2008 11:48:55 +0200

groff (1.18.1.1-11osso) unstable; urgency=low

  * don't build groff X11 tools
  * unneeded build dependencies removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu,  6 Apr 2006 18:59:53 +0300

groff (1.18.1.1-11) unstable; urgency=low

  * Build-depend on x-dev, libx11-dev, libxmu-dev, and libxt-dev rather than
    the transitional xlibs-dev package.
  * Use debhelper v4.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Dec 2005 13:28:09 +0000

groff (1.18.1.1-10) unstable; urgency=low

  * Configure gxditview with 'xmkmf -DBuildXaw=NO' to override imake's
    incorrect ideas about library linkage and avoid libXp when linking with
    libXaw7. We don't need Xprint support anyway.
  * Build-depend on just libxaw7-dev, dropping the alternative.

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Sep 2005 10:38:10 +0100

groff (1.18.1.1-9) unstable; urgency=low

  * Move www.tmac to groff-base (closes: #319506).
  * Fix non-XSI code in groff.postinst (part of #256226).
  * Improve CJK support (closes: #324107):
    - Add support for Chinese GB2312/GBK and BIG5 encodings (in the
      increasingly-misnamed nippon driver), with kinsoku tables borrowed
      from Emacs. Simon Law eyeballed the GB2312/GBK table.
    - Expect UTF-8 input when running under a ko_*.UTF-8 locale. Functional
      Korean support still requires a kinsoku table and a groff font
      covering Hangul.
  * Fix use of DoCharacter() in multibyte case; some calls to it were
    missing the fourth argument (closes: #285524).
  * Policy version 3.6.2. No changes required.

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Aug 2005 12:54:37 +0100

groff (1.18.1.1-8) unstable; urgency=low

  * Avoid double fclose() in grn, which causes a build failure with glibc
    2.3.5.
  * Move gxditview from /usr/X11R6 to /usr.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 May 2005 16:34:34 +0100

groff (1.18.1.1-7) unstable; urgency=low

  * Too many fonts are missing the Unicode HYPHEN character, so I give up.
    Render "-" as HYPHEN-MINUS (ASCII 0x2D) by default. (Of course, manual
    pages using "-" when they should be using "\-" should still be fixed.)

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Mar 2005 17:57:51 +0000

groff (1.18.1.1-6) unstable; urgency=low

  * Refer to /usr/share/doc/groff-base/copyright or
    /usr/share/doc/groff/copyright in the header of all manual pages
    licensed under the GFDL, per GFDL section 6 "COLLECTIONS OF DOCUMENTS"
    (closes: #292229, #292230).

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Jan 2005 09:28:10 +0000

groff (1.18.1.1-5) unstable; urgency=high

  * Upstream fix for temporary file handling vulnerability in pic2graph
    (closes: #286371).
  * Upstream fix for temporary file handling vulnerability in eqn2graph
    (closes: #286372).

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Dec 2004 14:26:25 +0000

groff (1.18.1.1-4) unstable; urgency=low

  * Fix use of anonymous structs at top level, which gcc-4.0 doesn't like
    (patch backported from upstream, by Art Haas; closes: #282682).

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Dec 2004 14:39:11 +0100

groff (1.18.1.1-3) unstable; urgency=low

  * Clarify copyright file (closes: #279904). Some items of documentation
    are under non-free licences; this is exempt for sarge, and in any case
    will be resolved when I update to a new version of groff after sarge.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Nov 2004 19:36:29 +0000

groff (1.18.1.1-2) unstable; urgency=high

  * [SECURITY] Fix a race condition in groffer leading to a temporary file
    handling vulnerability (closes: #278265).

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Oct 2004 23:52:13 +0100

groff (1.18.1.1-1) unstable; urgency=low

  * The "Death! Ride, ride to ruin and the world's ending!" release.
  * New upstream release. The only change is an updated groffer script.
  * Policy version 3.6.1. No changes required.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Jun 2004 01:44:41 +0100

groff (1.18.1-15) unstable; urgency=low

  * Create eqn2graph's temporary files in /tmp, not /usr/tmp (thanks, Einar
    Karttunen; closes: #216819). How did I miss this when doing the same for
    pic2graph?

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Jan 2004 11:37:26 +0000

groff (1.18.1-14) unstable; urgency=low

  * Document Unicode hyphen configuration in README.Debian.

 -- Colin Watson <cjwatson@debian.org>  Sat, 15 Nov 2003 17:43:03 +0000

groff (1.18.1-13) unstable; urgency=low

  * Add sample code to /etc/groff/man.local and /etc/groff/mdoc.local to
    make "-" render as Unicode HYPHEN-MINUS on the utf8 device. This is
    commented out by default because man pages which require this are buggy:
    "\-" should be used instead when a real dash as opposed to a logical
    hyphen is required.
  * Fix some typos in groff(1) (thanks, Göran Weinholt; closes: #181375).

 -- Colin Watson <cjwatson@debian.org>  Thu,  6 Nov 2003 12:52:18 +0000

groff (1.18.1-12) unstable; urgency=low

  * Create pic2graph's temporary files in /tmp, not /usr/tmp (thanks, Alex
    Withers; closes: #216819).

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Oct 2003 09:24:37 +0100

groff (1.18.1-11) unstable; urgency=low

  * Never recode input or output for the ascii8 device. It doesn't work in
    non-trivial locales, since ascii8 isn't supposed to be prepared for
    input in, say, UTF-8, and the point of ascii8 is to be a trivial hack
    device for use when you know your input encoding is the same as your

