=== debian/control ===
Source: groff
Section: text
Priority: important
Maintainer: Colin Watson <cjwatson@debian.org>
Uploaders: Fumitoshi UKAI <ukai@debian.or.jp>
Standards-Version: 3.6.2
Build-Depends: byacc, debhelper (>= 4), gs, netpbm, psutils

Package: groff-base
Architecture: any
Depends: ${shlibs:Depends}
Suggests: groff
Replaces: groff (<< 1.18.1.1-9), jgroff (<< 1.17-1)
Conflicts: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
Description: GNU troff text-formatting system (base system components)
 This package contains the traditional UN*X text formatting tools
 troff, nroff, tbl, eqn, and pic. These utilities, together with the
 man-db package, are essential for displaying the on-line manual pages. 
 .
 groff-base is a stripped-down package containing the necessary components
 to read manual pages in ASCII, Latin-1, and UTF-8, plus the PostScript
 device (groff's default). Users who want a full groff installation, with
 the standard set of devices, fonts, macros, and documentation, should
 install the groff package.

Package: groff
Priority: optional
Architecture: any
Depends: groff-base (= ${Source-Version}), ${shlibs:Depends}
Recommends: gs, imagemagick, libpaper1, netpbm, psutils
Provides: jgroff, groff-x11
Conflicts: jgroff (<< 1.17-1), groff-x11 (<< 1.18-1)
Replaces: jgroff (<< 1.17-1), groff-base (<< 1.17.2-9), groff-x11 (<< 1.18-1)
Description: GNU troff text-formatting system
 This package contains optional components of the GNU troff text-formatting
 system. The core package, groff-base, contains the traditional tools like
 troff, nroff, tbl, eqn, and pic. This package contains additional devices
 and drivers for output to DVI, HTML (when the recommended packages gs,
 netpbm, and psutils are installed), HP LaserJet printers, and Canon CAPSL
 LBP-4 and LBP-8 printers.
 .
 The X75, X75-12, X100, and X100-12 devices, which allow groff output to be
 conveniently viewed on an X display using the standard X11 fonts, are now
 included here. They were previously in a separate package, groff-x11.
 .
 Besides these, the groff package contains man pages describing the language
 and its macro sets, info documentation, and a number of supplementary
 programs:
 .
  - gxditview, which is used to display the output of the X* devices, and
    can also be used to view PostScript output from groff;
  - grn, a preprocessor for pictures in the 'gremlin' format;
  - tfmtodit, which creates font files for use with 'groff -Tdvi';
  - hpftodit, which creates font files for use with 'groff -Tlj4';
  - afmtodit, which creates font files for use with 'groff -Tps';
  - refer, which preprocesses bibliographic references for use with groff;
  - indxbib, which creates inverted indices for bibliographic databases used
    by 'refer';
  - lkbib and lookbib, which search bibliographic databases;
  - addftinfo, which adds metric information to troff font files for use
    with groff;
  - pfbtops, which translates a PostScript font in .pfb format to ASCII for
    use with groff;
  - mmroff, a simple groff preprocessor which expands references in mm;
  - pic2graph, which converts PIC diagrams into cropped image files;
  - eqn2graph, which converts EQN equations into cropped image files.
 .
 All the standard macro packages are supported.
