## groff 1.20.1

=== debian/changelog ===
groff (1.20.1-10) unstable; urgency=low

  * Handle ditroff command `Dt' without argument gracefully (closes:
    #579890).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 May 2010 12:57:58 +0100

groff (1.20.1-9) unstable; urgency=low

  * Convert to source format 3.0 (quilt).
  * Add a 'quilt-setup' target to debian/rules for the benefit of those
    checking out the package from revision control.
  * All patches are now maintained separately and tagged according to DEP-3.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Mar 2010 19:50:42 +0000

groff (1.20.1-8) unstable; urgency=low

  * Add a watch file.
  * Add mdoc support for FreeBSD 7.2, 7.3, 8.0, and IEEE Std 1003.1-2008.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Feb 2010 10:08:09 +0000

groff (1.20.1-7) unstable; urgency=low

  * Use /bin/bash for grap2graph due to use of $RANDOM, as for eqn2graph and
    pic2graph.
  * Fix some unnecessary bashisms in gdiffmk (closes: #547750).
  * Use 'dh_installdocs --link-doc' option from debhelper 7.4.2.
  * Use POSIX-compliant 'trap' syntax (closes: #256226; the other problems
    identified in this bug were fixed some time ago).
  * Honour /etc/papersize in DVI output.
  * Remove contrib/pdfmark/groff-pdfroff.* on clean.
  * Preserve src/preproc/eqn/eqn.cpp, src/preproc/eqn/eqn_tab.h,
    src/preproc/pic/pic.cpp, src/preproc/pic/pic_tab.h, and
    src/preproc/refer/label.cpp, and restore them after running 'make
    realclean' to avoid a large diff.

 -- Colin Watson <cjwatson@debian.org>  Fri, 19 Feb 2010 23:37:25 +0000

groff (1.20.1-6) unstable; urgency=low

  * Use dh_auto_install and dh_install.
  * Convert to dh(1).
  * Make /usr/share/groff/1.20.1/font/devlj4/generate/special.awk
    executable.
  * Move europs.tmac to groff-base (closes: #546844).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Sep 2009 09:51:21 +0100

groff (1.20.1-5) unstable; urgency=low

  * Upgrade to debhelper v7. (There's still lots of complexity here, so no
    dh(1).)
  * Remove Fumitoshi UKAI from Uploaders, with thanks for his previous work.
    Just shout if you want to be added back (closes: #541019).
  * Unset IFS at nroff startup (closes: #541621).
  * Patch from Openwall to fix temporary file handling vulnerabilities in
    pdfroff (closes: #538330).
  * Use -dSAFER when calling gs from pdfroff (thanks, brian m. carlson;
    closes: #538338).

 -- Colin Watson <cjwatson@debian.org>  Sat, 15 Aug 2009 09:01:47 +0100

groff (1.20.1-4) unstable; urgency=low

  * Move devtag.tmac and papersize.tmac to groff-base (thanks, Niko Tyni;
    closes: #537767).

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 Jul 2009 06:01:02 +0100

groff (1.20.1-3) unstable; urgency=low

  * Tell 'make' (as well as 'make install') about docdir, so that it gets
    substituted properly into manual pages.
  * Adjust pic(1) and pdfroff(1) references to account for compression
    (closes: #498356).
  * Backport from upstream, fixing "bad character definition" warnings:
    - tmac/doc.tmac: Call `ec' before mapping characters.

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jul 2009 10:11:43 +0100

groff (1.20.1-2) unstable; urgency=low

  * Make sure /usr/share/groff/current is only in groff-base, not also in
    groff (closes: #537667).
  * Bump groff-base Replaces: groff version to include 1.20.1-1, just in
    case the above bug confused some dpkg databases into believing that
    /usr/share/groff/current is owned by groff.

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jul 2009 08:26:22 +0100

groff (1.20.1-1) unstable; urgency=low

  * New upstream release (closes: #196762, #415754). See the NEWS file for
    full details of improvements, to which I can't do justice here, but
    items relevant to Debian bug reports include:
    - Unicode input support has been very much improved, including a new
      'preconv' preprocessor which converts various input encodings to
      something groff can understand directly (closes: #322760), which also
      allows us to avoid the old and rather broken ascii8 device (closes:
      #533778); support for composite glyphs; and localisation files for
      several languages.
    - mdoc .Dt now allows overriding the volume name (closes: #176575).
    - Backquote formatting fixed in groff(1) (closes: #184603).
    - HTML output much improved, including a DOCTYPE (closes: #190209).
    - \[an] is now U+23AF, not U+2500 (closes: #382265).
    - rs/rq typo fixed in groff(7) (closes: #402854).
    - pic now supports up to 32 macro arguments, and ignores further
      arguments rather than crashing (closes: #453260).
  * Dropped multibyte patch. CJK is partially supported by way of Unicode
    input, but widths are wrong and proper line breaking is not implemented;
    this is planned to be added by way of "character classes". However, I
    can't justify holding new groff code out of Debian any longer when CJK
    manual pages can more or less be read with the new release.
  * Since the M and G fonts no longer exist:
    - \f5 and \f6 no longer break (closes: #227091);
    - We no longer get spurious devdvi font errors (closes: #194041);
    - We no longer fail to italicise or underline CJK text (closes:
      #288382).
    - Angle brackets around URLs no longer have broken widths (closes:
      #522323).
  * Add localisation macro files to groff-base.
  * Adjust #! line of font/devlj4/generate/special.awk; awk is in
    /usr/bin/awk on Debian, not /bin/awk.
  * Add preconv to groff-base.
  * Imported into a branch on bzr.debian.org; add Vcs-Bzr control field.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jul 2009 23:06:42 +0100

groff (1.18.1.1-22) unstable; urgency=low

  * Fix bug number for groffer fix in previous changelog entry.
  * If the ascii8 device is used, pass through the input encoding even if
    LC_CTYPE=C (closes: #519367).
  * Build-depend on and recommend ghostscript rather than the obsolete
    package gs.


