=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: text
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
-Uploaders: Fumitoshi UKAI <ukai@debian.or.jp>
 Standards-Version: 3.6.2
-Build-Depends: byacc, debhelper (>= 4), gs, netpbm, psutils
+Build-Depends: byacc, debhelper (>= 7.4.2), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev
+Vcs-Bzr: http://bzr.debian.org/users/cjwatson/groff/trunk
+Vcs-Browser: http://bzr.debian.org/loggerhead/users/cjwatson/groff/trunk
 
 Package: groff-base
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: groff
-Replaces: groff (<< 1.18.1.1-9), jgroff (<< 1.17-1)
+Replaces: groff (<< 1.20.1-6), jgroff (<< 1.17-1)
 Conflicts: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
 Description: GNU troff text-formatting system (base system components)
  This package contains the traditional UN*X text formatting tools
@@ -26,8 +27,8 @@
 Package: groff
 Priority: optional
 Architecture: any
-Depends: groff-base (= ${Source-Version}), ${shlibs:Depends}
-Recommends: gs, imagemagick, libpaper1, netpbm, psutils
+Depends: groff-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: ghostscript, imagemagick, libpaper1, netpbm, psutils
 Provides: jgroff, groff-x11
 Conflicts: jgroff (<< 1.17-1), groff-x11 (<< 1.18-1)
 Replaces: jgroff (<< 1.17-1), groff-base (<< 1.17.2-9), groff-x11 (<< 1.18-1)
@@ -35,9 +36,9 @@
  This package contains optional components of the GNU troff text-formatting
  system. The core package, groff-base, contains the traditional tools like
  troff, nroff, tbl, eqn, and pic. This package contains additional devices
- and drivers for output to DVI, HTML (when the recommended packages gs,
- netpbm, and psutils are installed), HP LaserJet printers, and Canon CAPSL
- LBP-4 and LBP-8 printers.
+ and drivers for output to DVI, HTML (when the recommended packages
+ ghostscript, netpbm, and psutils are installed), HP LaserJet printers, and
+ Canon CAPSL LBP-4 and LBP-8 printers.
  .
  The X75, X75-12, X100, and X100-12 devices, which allow groff output to be
  conveniently viewed on an X display using the standard X11 fonts, are now
