=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: text
 Priority: important
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.6.2
-Build-Depends: byacc, debhelper (>= 7.4.2), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev
+Standards-Version: 3.9.1
+Build-Depends: bison (>= 1:1.875b), debhelper (>= 7.4.2), dpkg-dev (>= 1.15.7~), ghostscript, netpbm, psutils, xutils-dev, x11proto-core-dev, libx11-dev, libxmu-dev, libxt-dev, libxaw7-dev, texinfo (>= 4.8)
+Homepage: http://groff.ffii.org/
 Vcs-Bzr: http://bzr.debian.org/users/cjwatson/groff/trunk
 Vcs-Browser: http://bzr.debian.org/loggerhead/users/cjwatson/groff/trunk
 
@@ -12,7 +13,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: groff
 Replaces: groff (<< 1.20.1-6), jgroff (<< 1.17-1)
-Conflicts: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
+Breaks: groff (<< 1.17-1), jgroff (<< 1.17-1), pmake (<< 1.45-7), troffcvt (<< 1.04-14)
+Multi-Arch: foreign
 Description: GNU troff text-formatting system (base system components)
  This package contains the traditional UN*X text formatting tools
  troff, nroff, tbl, eqn, and pic. These utilities, together with the
@@ -30,15 +32,16 @@
 Depends: groff-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: ghostscript, imagemagick, libpaper1, netpbm, psutils
 Provides: jgroff, groff-x11
-Conflicts: jgroff (<< 1.17-1), groff-x11 (<< 1.18-1)
+Breaks: jgroff (<< 1.17-1), groff-x11 (<< 1.18-1)
 Replaces: jgroff (<< 1.17-1), groff-base (<< 1.17.2-9), groff-x11 (<< 1.18-1)
+Multi-Arch: foreign
 Description: GNU troff text-formatting system
  This package contains optional components of the GNU troff text-formatting
  system. The core package, groff-base, contains the traditional tools like
  troff, nroff, tbl, eqn, and pic. This package contains additional devices
- and drivers for output to DVI, HTML (when the recommended packages
- ghostscript, netpbm, and psutils are installed), HP LaserJet printers, and
- Canon CAPSL LBP-4 and LBP-8 printers.
+ and drivers for output to DVI, HTML (when recommended packages are
+ installed - see below), HP LaserJet printers, and Canon CAPSL LBP-4 and
+ LBP-8 printers.
  .
  The X75, X75-12, X100, and X100-12 devices, which allow groff output to be
  conveniently viewed on an X display using the standard X11 fonts, are now
@@ -67,3 +70,10 @@
   - eqn2graph, which converts EQN equations into cropped image files.
  .
  All the standard macro packages are supported.
+ .
+ Some facilities only work if certain recommended packages are installed:
+ .
+  - ghostscript, netpbm, psutils: required for HTML output;
+  - imagemagick: required for the pic2graph and eqn2graph programs;
+  - libpaper1: paper size detection in dvi, lbp, lj4, and ps devices (falls
+    back to a4 if not installed).
