## groff 1.22.1

=== debian/changelog ===
groff (1.22.1-3) unstable; urgency=low

  * When cross-building, unset CONFIG_SITE for the native build pass.
  * Support parallel builds.

 -- Colin Watson <cjwatson@debian.org>  Sat, 09 Feb 2013 12:01:18 +0000

groff (1.22.1-2) unstable; urgency=low

  * Fix mom-pdf.pdf symlink broken by compression (closes: #697678).

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Jan 2013 12:09:43 +0000

groff (1.22.1-1) unstable; urgency=low

  * New upstream release (LP: #1095075).
  * Use xz compression for binary packages.
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * Use dh-autoreconf.
  * Change Homepage from http://groff.ffii.org/ to
    https://www.gnu.org/software/groff/.  Suggested by Bernd Warken.
  * Don't compress *.mom examples.  They're not all that large, and this
    allows dropping a manual page patch against upstream.
  * Recommend perl for gropdf.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Jan 2013 16:26:07 +0000
