=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/make -f
 build clean install binary-arch binary-indep binary:
-	dh --builddirectory=debian/build $@
+	dh $@ --builddirectory=debian/build --with=autoreconf --parallel
 
 export DH_OPTIONS
 
@@ -40,6 +40,9 @@
   confflags_gnulib += --host=$(DEB_HOST_GNU_TYPE)
 endif
 
+override_dh_autoreconf:
+	dh_autoreconf autoreconf -- -f -i -I m4
+
 override_dh_auto_configure:
 	-rm -f config.log config.cache
 	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
@@ -52,6 +55,7 @@
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	$(buildflags) YACC='bison -y' PSPRINT=lpr PAGE=A4 \
 		DEB_HOST_GNU_TYPE=$(DEB_BUILD_GNU_TYPE) \
+		env -u CONFIG_SITE \
 		dh_auto_configure --builddirectory=debian/build-native -- \
 			$(confflags) \
 			--with-appresdir=/etc/X11/app-defaults
@@ -129,8 +133,15 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -pgroff-base
 
+override_dh_compress:
+	dh_compress -X.mom
+	# Fix symlink broken by compression
+	rm $(gtmp)/usr/share/doc/groff-base/pdf/mom-pdf.pdf
+	ln -s ../examples/mom/mom-pdf.pdf.gz \
+	      $(gtmp)/usr/share/doc/groff-base/pdf/mom-pdf.pdf.gz
+
 override_dh_builddeb:
-	dh_builddeb
+	dh_builddeb -- -Zxz
 ifneq ($(GROFF_X11),yes)
 	@echo
 	@echo "=========================================================="
